View Issue Details

IDProjectCategoryView StatusLast Update
0003701Ham Radio DeluxeBugpublic2020-08-03 03:14
Reporterk2ieAssigned ToWA9PIE 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.301 
Summary0003701: Lookup while in update mode overwrites QSO date/time
DescriptionThis may have been introduced as part of the fix for 0003663.

QSO date/time is overwritten if an existing record is opened for edit and the lookup function is used to populate missing fields. This could be necessary, for example, to populate the mailing address of a QSO that was imported form an ADIF produced by contest logging software.

Pressing lookup while in update should not reset the QSO date/time values.
Steps To ReproduceOpen any existing QSO for edit.
Note the recorded start and end date/time for the QSO.
Press the lookup button.
Note that the date/time values were changed.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleALE Window
Testing Beta Successful

Relationships

related to 0003663 closedWA9PIE ALE "Start" time is not being properly reset when the user has set it to "Set by User" 

Activities

WA9PIE

2020-07-12 02:16

administrator   ~0009748

This was mentioned in 0003663. We'll test this when we get the next build.

g3ucq

2020-07-13 03:41

viewer   ~0009757

Fixed

vk2byi

2020-07-13 04:36

viewer   ~0009772

Fixed

WA9PIE

2020-07-13 04:57

administrator   ~0009780

Validated

Issue History

Date Modified Username Field Change
2020-07-07 09:12 k2ie New Issue
2020-07-12 02:12 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2020-07-12 02:16 WA9PIE Relationship added related to 0003663
2020-07-12 02:16 WA9PIE Status new => resolved
2020-07-12 02:16 WA9PIE Resolution open => fixed
2020-07-12 02:16 WA9PIE Testing => Not Started
2020-07-12 02:16 WA9PIE Note Added: 0009748
2020-07-12 02:21 WA9PIE Assigned To => WA9PIE
2020-07-12 20:25 WA9PIE Fixed in Version => 6.7.0.290
2020-07-13 03:41 g3ucq Note Added: 0009757
2020-07-13 04:36 vk2byi Note Added: 0009772
2020-07-13 04:57 WA9PIE Status resolved => closed
2020-07-13 04:57 WA9PIE Testing Not Started => Beta Successful
2020-07-13 04:57 WA9PIE Note Added: 0009780
2020-08-03 03:12 WA9PIE Fixed in Version 6.7.0.290 => 6.7.0.301
2020-08-03 03:14 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe